var NAVTREE =
[
  [ "StdAir", "index.html", [
    [ "StdAir Documentation", "index.html", null ],
    [ "BomAbstract", "a00001.html", null ],
    [ "C++ Utility Class Browsing and Dumping the StdAir BOM Tree", "a00002.html", null ],
    [ "KeyAbstract", "a00003.html", null ],
    [ "C++ Class Building Sample StdAir BOM Trees", "a00004.html", null ],
    [ "C++ Class Storing the StdAir Context", "a00005.html", null ],
    [ "People", "a00006.html", [
      [ "Project Admins (and Developers)", "a00006.html#admins", null ],
      [ "Retired Developers", "a00006.html#retired", null ],
      [ "Contributors", "a00006.html#contributors", null ],
      [ "Distribution Maintainers", "a00006.html#distributors", null ]
    ] ],
    [ "Coding Rules", "a00007.html", [
      [ "Default Naming Rules for Variables", "a00007.html#cr_variables", null ],
      [ "Default Naming Rules for Functions", "a00007.html#cr_functions", null ],
      [ "Default Naming Rules for Classes and Structures", "a00007.html#cr_classes", null ],
      [ "Default Naming Rules for Files", "a00007.html#cr_files", null ],
      [ "Default Functionality of Classes", "a00007.html#cr_classes_functionality", null ]
    ] ],
    [ "Copyright and License", "a00008.html", [
      [ "GNU LESSER GENERAL PUBLIC LICENSE", "a00008.html#gnugpl", [
        [ "Version 2.1, February 1999", "a00008.html#version", null ]
      ] ],
      [ "Preamble", "a00008.html#preamble", null ],
      [ "TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION", "a00008.html#terms", [
        [ "NO WARRANTY", "a00008.html#nowarranty", null ],
        [ "END OF TERMS AND CONDITIONS", "a00008.html#endofterms", null ]
      ] ],
      [ "How to Apply These Terms to Your New Programs", "a00008.html#howtoapply", null ]
    ] ],
    [ "Documentation Rules", "a00009.html", [
      [ "General Rules", "a00009.html#doc_general", null ],
      [ "File Header", "a00009.html#doc_header", null ],
      [ "Grouping Various Parts", "a00009.html#doc_groups", null ]
    ] ],
    [ "Main features", "a00010.html", [
      [ "Standard Airline IT Business Object Model (BOM)", "a00010.html#airline_it_bom", null ],
      [ "Architecture of the StdAir library", "a00010.html#architecture", null ]
    ] ],
    [ "Make a Difference", "a00011.html", null ],
    [ "Make a new release", "a00012.html", [
      [ "Introduction", "a00012.html#description", null ],
      [ "Initialisation", "a00012.html#initialisation", null ],
      [ "Branch creation", "a00012.html#branch_creation", null ],
      [ "Commit and publish the release branch", "a00012.html#branch_publish", null ],
      [ "Update the change-log in the trunk as well", "a00012.html#trunk_update", null ],
      [ "Create distribution packages", "a00012.html#create_packages", null ],
      [ "Generation the RPM packages", "a00012.html#generate_rpm_packages", null ],
      [ "Update distributed change log", "a00012.html#update_changelog", null ],
      [ "Create the binary package, including the documentation", "a00012.html#create_bin_packages", null ],
      [ "Upload the files to SourceForge", "a00012.html#upload_files", null ],
      [ "Upload the documentation to SourceForge", "a00012.html#upload_doc", null ],
      [ "Make a new post", "a00012.html#post_news", null ],
      [ "Send an email on the announcement mailing-list", "a00012.html#send_announce", null ]
    ] ],
    [ "Installation", "a00013.html", [
      [ "Table of Contents", "a00013.html#toc", null ],
      [ "Fedora/RedHat Linux distributions", "a00013.html#rpm_linux", null ],
      [ "StdAir Requirements", "a00013.html#requirements", null ],
      [ "Basic Installation", "a00013.html#basic_instructions", null ],
      [ "Compilers and Options", "a00013.html#compilers", null ],
      [ "Compiling For Multiple Architectures", "a00013.html#compiling_for_multi_arch", null ],
      [ "Installation Names", "a00013.html#installation_names", null ],
      [ "Optional Features", "a00013.html#optional_features", null ],
      [ "Particular systems", "a00013.html#particular_systems", null ],
      [ "Specifying the System Type", "a00013.html#specifying_system_type", null ],
      [ "Sharing Defaults", "a00013.html#sharing_defaults", null ],
      [ "Defining Variables", "a00013.html#defining_variables", null ],
      [ "`cmake' Invocation", "a00013.html#cmake_invocation", null ]
    ] ],
    [ "Linking with StdAir", "a00014.html", [
      [ "Table of Contents", "a00014.html#toc", null ],
      [ "Introdution", "a00014.html#intro", null ],
      [ "Using the pkg-config command", "a00014.html#pkgconfig", null ],
      [ "Using the stdair-config script", "a00014.html#stdair_config", null ],
      [ "M4 macro for the GNU Autotools", "a00014.html#autotools", null ],
      [ "Using StdAir with dynamic linking", "a00014.html#dynamiclinking", null ]
    ] ],
    [ "Test Rules", "a00015.html", [
      [ "The Test Source Files", "a00015.html#test_source", null ],
      [ "The Reference File", "a00015.html#reference_file", null ],
      [ "Testing StdAir Library", "a00015.html#testing_using_make", null ]
    ] ],
    [ "Users Guide", "a00016.html", [
      [ "Table of Contents", "a00016.html#ug_toc", null ],
      [ "Introduction", "a00016.html#ug_introduction", null ],
      [ "Get Started", "a00016.html#ug_get_started", [
        [ "Get the StdAir library", "a00016.html#ug_get_source", null ],
        [ "Build the StdAir project", "a00016.html#ug_build_binaries", null ],
        [ "Build and Run the Tests", "a00016.html#ug_build_and_run_tests", null ],
        [ "Install the StdAir Project (Binaries, Documentation)", "a00016.html#ug_install_project", null ]
      ] ],
      [ "Exploring the Predefined BOM Tree", "a00016.html#ug_bom_tree", [
        [ "Airline Distribution BOM Tree", "a00016.html#ug_bom_distribution", null ],
        [ "Airline Network BOM Tree", "a00016.html#ug_bom_schedule", null ],
        [ "Airline Inventory BOM Tree", "a00016.html#ug_bom_inventory", [
          [ "Airline Inventory Marketing BOM Tree", "a00016.html#ug_bom_segment_branch", null ],
          [ "Airline Inventory Operating BOM Tree", "a00016.html#ug_bom_leg_branch", null ]
        ] ]
      ] ],
      [ "Extending the BOM Tree", "a00016.html#ug_extending_bom_tree", null ]
    ] ],
    [ "Supported Systems", "a00017.html", [
      [ "Table of Contents", "a00017.html#toc", null ],
      [ "Introdution", "a00017.html#intro", null ],
      [ "StdAir 3.10.x", "a00017.html#stdair_3_10", [
        [ "Linux Systems", "a00017.html#linux", [
          [ "Fedora Core 4 with ATLAS", "a00017.html#fedora_atlas", null ],
          [ "Gentoo Linux with ACML", "a00017.html#gentoo_acml", null ],
          [ "Gentoo Linux with ATLAS", "a00017.html#gentoo_atlas", null ],
          [ "Gentoo Linux with MKL", "a00017.html#gentoo_mkl", null ],
          [ "Gentoo Linux with NetLib's BLAS and LAPACK", "a00017.html#gentoo_netlib", null ],
          [ "Red Hat Enterprise Linux with StdAir External", "a00017.html#rhel", null ],
          [ "SUSE Linux 10.0 with NetLib's BLAS and LAPACK", "a00017.html#suse_netlib", null ],
          [ "SUSE Linux 10.0 with MKL", "a00017.html#suse_mkl", null ]
        ] ],
        [ "Windows Systems", "a00017.html#windows", [
          [ "Microsoft Windows XP with Cygwin", "a00017.html#cygwin", null ],
          [ "Microsoft Windows XP with Cygwin and ATLAS", "a00017.html#cygwin_atlas", null ],
          [ "Microsoft Windows XP with Cygwin and ACML", "a00017.html#cygwin_acml", null ],
          [ "Microsoft Windows XP with MinGW, MSYS and ACML", "a00017.html#mingw_acml", null ],
          [ "Microsoft Windows XP with MinGW, MSYS and StdAir External", "a00017.html#mingw_netlib", null ],
          [ "Microsoft Windows XP with MS Visual C++ and Intel MKL", "a00017.html#msvc_mkl", null ]
        ] ],
        [ "Unix Systems", "a00017.html#unix", [
          [ "SunOS 5.9 with StdAir External", "a00017.html#sunos59", null ]
        ] ]
      ] ]
    ] ],
    [ "StdAir Supported Systems (Previous Releases)", "a00018.html", [
      [ "StdAir 3.9.1", "a00018.html#stdair_3_9_1", null ],
      [ "StdAir 3.9.0", "a00018.html#stdair_3_9_0", null ],
      [ "StdAir 3.8.1", "a00018.html#stdair_3_8_1", null ]
    ] ],
    [ "Tutorials", "a00019.html", [
      [ "Table of Contents", "a00019.html#tut_toc", null ],
      [ "Introduction", "a00019.html#tut_introduction", [
        [ "Preparing the StdAir Project for Development", "a00019.html#tut_intro_configuration", null ]
      ] ],
      [ "Build a Predefined BOM Tree", "a00019.html#tut_build_bom_tree", [
        [ "Instanciate the BOM Root Object", "a00019.html#tut_build_bom_root", null ],
        [ "Instanciate the (Airline) Inventory Object", "a00019.html#tut_build_inventory", null ],
        [ "Link the Inventory Object with the BOM Root", "a00019.html#tut_build_link", null ],
        [ "Build Another Airline Inventory", "a00019.html#tut_build_inventory_another", null ],
        [ "Dump The BOM Tree Content", "a00019.html#tut_dump_bom_tree", null ],
        [ "Result of the Tutorial Program", "a00019.html#tut_result_output", null ]
      ] ],
      [ "Extend the Pre-Defined BOM Tree", "a00019.html#tut_extend_bom_tree", [
        [ "Extend an Airline Inventory Object", "a00019.html#tut_extend_inventory", null ],
        [ "Build the Specific BOM Objects", "a00019.html#tut_extend_build", null ],
        [ "Result of the Tutorial Program", "a00019.html#tut_extend_result_output", null ]
      ] ]
    ] ],
    [ "Command-Line Utility to Demonstrate Typical StdAir Usage", "a00020.html", null ],
    [ "Specific Implementation of a BOM Root", "a00021.html", null ],
    [ "Specific Implementation of a BOM Root", "a00022.html", null ],
    [ "Specific Implementation of an Airline Inventory", "a00023.html", null ],
    [ "Specific Implementation of an Airline Inventory", "a00024.html", null ],
    [ "Command-Line Test to Demonstrate How To Extend StdAir BOM", "a00025.html", null ],
    [ "Namespaces", null, [
      [ "Namespace List", "namespaces.html", "namespaces" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", "namespacemembers_type" ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", null, [
      [ "Class List", "annotated.html", "annotated" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", null ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", null, [
      [ "File List", "files.html", "files" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
".html",
"a00032.html#a64b05c70a1311d2dad13a744977bc964",
"a00052.html#a4fd840d26daa4e4b456894fea0251b05",
"a00073.html#adaad8f660dd9ad8a19f0023d3131d714",
"a00097.html#a6052a754afd7971010b956345ad90128",
"a00115.html#a20d7cc41442debddbb52da641d8954ce",
"a00135.html#a8d2fcb5070b1629ea40a5407164c8b74",
"a00150.html#af3fdff331f07496b6fb0ed0f12b69d4e",
"a00164.html#a00ae79251f6bf60aa9fa133a6f6cef70",
"a00179.html#ae7b5f939a79b636d834171176e3fd0df",
"a00213.html#a6baf04aa8f796b57b816ea8506dc23c6",
"a00223.html#a21606e037bc6cc5e4fc371e567eb8ac2",
"a00379.html#a192e5ca0d0be67651760a709d8302e00",
"a00505.html#a106c0f4d63d9311775849171233bcd36",
"dir_6454555197bfc2c6422adebc6e724634.html",
];

var navTreeSubIndices = new Array();

function getData(varName)
{
  var i = varName.lastIndexOf('/');
  var n = i>=0 ? varName.substring(i+1) : varName;
  return eval(n.replace(/\-/g,'_'));
}

function stripPath(uri)
{
  return uri.substring(uri.lastIndexOf('/')+1);
}

function stripPath2(uri)
{
  var i = uri.lastIndexOf('/');
  var s = uri.substring(i+1);
  var m = uri.substring(0,i+1).match(/\/d\w\/d\w\w\/$/);
  return m ? uri.substring(i-6) : s;
}

function getScript(scriptName,func,show)
{
  var head = document.getElementsByTagName("head")[0]; 
  var script = document.createElement('script');
  script.id = scriptName;
  script.type = 'text/javascript';
  script.onload = func; 
  script.src = scriptName+'.js'; 
  if ($.browser.msie && $.browser.version<=8) { 
    // script.onload does work with older versions of IE
    script.onreadystatechange = function() {
      if (script.readyState=='complete' || script.readyState=='loaded') { 
        func(); if (show) showRoot(); 
      }
    }
  }
  head.appendChild(script); 
}

function createIndent(o,domNode,node,level)
{
  if (node.parentNode && node.parentNode.parentNode) {
    createIndent(o,domNode,node.parentNode,level+1);
  }
  var imgNode = document.createElement("img");
  imgNode.width = 16;
  imgNode.height = 22;
  if (level==0 && node.childrenData) {
    node.plus_img = imgNode;
    node.expandToggle = document.createElement("a");
    node.expandToggle.href = "javascript:void(0)";
    node.expandToggle.onclick = function() {
      if (node.expanded) {
        $(node.getChildrenUL()).slideUp("fast");
        if (node.isLast) {
          node.plus_img.src = node.relpath+"ftv2plastnode.png";
        } else {
          node.plus_img.src = node.relpath+"ftv2pnode.png";
        }
        node.expanded = false;
      } else {
        expandNode(o, node, false, false);
      }
    }
    node.expandToggle.appendChild(imgNode);
    domNode.appendChild(node.expandToggle);
  } else {
    domNode.appendChild(imgNode);
  }
  if (level==0) {
    if (node.isLast) {
      if (node.childrenData) {
        imgNode.src = node.relpath+"ftv2plastnode.png";
      } else {
        imgNode.src = node.relpath+"ftv2lastnode.png";
        domNode.appendChild(imgNode);
      }
    } else {
      if (node.childrenData) {
        imgNode.src = node.relpath+"ftv2pnode.png";
      } else {
        imgNode.src = node.relpath+"ftv2node.png";
        domNode.appendChild(imgNode);
      }
    }
  } else {
    if (node.isLast) {
      imgNode.src = node.relpath+"ftv2blank.png";
    } else {
      imgNode.src = node.relpath+"ftv2vertline.png";
    }
  }
  imgNode.border = "0";
}

function newNode(o, po, text, link, childrenData, lastNode)
{
  var node = new Object();
  node.children = Array();
  node.childrenData = childrenData;
  node.depth = po.depth + 1;
  node.relpath = po.relpath;
  node.isLast = lastNode;

  node.li = document.createElement("li");
  po.getChildrenUL().appendChild(node.li);
  node.parentNode = po;

  node.itemDiv = document.createElement("div");
  node.itemDiv.className = "item";

  node.labelSpan = document.createElement("span");
  node.labelSpan.className = "label";

  createIndent(o,node.itemDiv,node,0);
  node.itemDiv.appendChild(node.labelSpan);
  node.li.appendChild(node.itemDiv);

  var a = document.createElement("a");
  node.labelSpan.appendChild(a);
  node.label = document.createTextNode(text);
  node.expanded = false;
  a.appendChild(node.label);
  if (link) {
    var url;
    if (link.substring(0,1)=='^') {
      url = link.substring(1);
      link = url;
    } else {
      url = node.relpath+link;
    }
    a.className = stripPath(link.replace('#',':'));
    if (link.indexOf('#')!=-1) {
      var aname = '#'+link.split('#')[1];
      var srcPage = stripPath($(location).attr('pathname'));
      var targetPage = stripPath(link.split('#')[0]);
      a.href = srcPage!=targetPage ? url : '#';
      a.onclick = function(){
        if (!$(a).parent().parent().hasClass('selected'))
        {
          $('.item').removeClass('selected');
          $('.item').removeAttr('id');
          $(a).parent().parent().addClass('selected');
          $(a).parent().parent().attr('id','selected');
        }
        var pos, anchor = $(aname), docContent = $('#doc-content');
        if (anchor.parent().attr('class')=='memItemLeft') {
          pos = anchor.parent().position().top;
        } else if (anchor.position()) {
          pos = anchor.position().top;
        }
        if (pos) {
          var dist = Math.abs(Math.min(
                     pos-docContent.offset().top,
                     docContent[0].scrollHeight-
                     docContent.height()-docContent.scrollTop()));
          docContent.animate({
            scrollTop: pos + docContent.scrollTop() - docContent.offset().top
          },Math.max(50,Math.min(500,dist)),function(){
            window.location.replace(aname);
          });
        }
      };
    } else {
      a.href = url;
    }
  } else {
    if (childrenData != null) 
    {
      a.className = "nolink";
      a.href = "javascript:void(0)";
      a.onclick = node.expandToggle.onclick;
    }
  }

  node.childrenUL = null;
  node.getChildrenUL = function() {
    if (!node.childrenUL) {
      node.childrenUL = document.createElement("ul");
      node.childrenUL.className = "children_ul";
      node.childrenUL.style.display = "none";
      node.li.appendChild(node.childrenUL);
    }
    return node.childrenUL;
  };

  return node;
}

function showRoot()
{
  var headerHeight = $("#top").height();
  var footerHeight = $("#nav-path").height();
  var windowHeight = $(window).height() - headerHeight - footerHeight;
  (function (){ // retry until we can scroll to the selected item
    try {
      var navtree=$('#nav-tree');
      navtree.scrollTo('#selected',0,{offset:-windowHeight/2});
    } catch (err) {
      setTimeout(arguments.callee, 0);
    }
  })();
}

function expandNode(o, node, imm, showRoot)
{
  if (node.childrenData && !node.expanded) {
    if (typeof(node.childrenData)==='string') {
      var varName    = node.childrenData;
      getScript(node.relpath+varName,function(){
        node.childrenData = getData(varName);
        expandNode(o, node, imm, showRoot);
      }, showRoot);
    } else {
      if (!node.childrenVisited) {
        getNode(o, node);
      } if (imm || ($.browser.msie && $.browser.version>8)) { 
        // somehow slideDown jumps to the start of tree for IE9 :-(
        $(node.getChildrenUL()).show();
      } else {
        $(node.getChildrenUL()).slideDown("fast");
      }
      if (node.isLast) {
        node.plus_img.src = node.relpath+"ftv2mlastnode.png";
      } else {
        node.plus_img.src = node.relpath+"ftv2mnode.png";
      }
      node.expanded = true;
    }
  }
}

function glowEffect(n,duration)
{
  n.addClass('glow').delay(duration).queue(function(next){
    $(this).removeClass('glow');next();
  });
}

function highlightAnchor()
{
  var anchor = $($(location).attr('hash'));
  if (anchor.parent().attr('class')=='memItemLeft'){
    var rows = $('.memberdecls tr[class$="'+
               window.location.hash.substring(1)+'"]');
    glowEffect(rows.children(),300); // member without details
  } else if (anchor.parents().slice(2).prop('tagName')=='TR') {
    glowEffect(anchor.parents('div.memitem'),1000); // enum value
  } else if (anchor.parent().is(":header")) {
    glowEffect(anchor.parent(),1000); // section header
  } else {
    glowEffect(anchor.next(),1000); // normal member
  }
}

function selectAndHighlight(n)
{
  var a;
  if ($(location).attr('hash')) {
    var link=stripPath($(location).attr('pathname'))+':'+
      $(location).attr('hash').substring(1);
    a=$('.item a[class$="'+link+'"]');
  }
  if (a && a.length) {
    a.parent().parent().addClass('selected');
    a.parent().parent().attr('id','selected');
    highlightAnchor();
  } else if (n) {
    $(n.itemDiv).addClass('selected');
    $(n.itemDiv).attr('id','selected');
  }
  showRoot();
}

function showNode(o, node, index)
{
  if (node && node.childrenData) {
    if (typeof(node.childrenData)==='string') {
      var varName    = node.childrenData;
      getScript(node.relpath+varName,function(){
        node.childrenData = getData(varName);
        showNode(o,node,index);
      },true);
    } else {
      if (!node.childrenVisited) {
        getNode(o, node);
      }
      $(node.getChildrenUL()).show();
      if (node.isLast) {
        node.plus_img.src = node.relpath+"ftv2mlastnode.png";
      } else {
        node.plus_img.src = node.relpath+"ftv2mnode.png";
      }
      node.expanded = true;
      var n = node.children[o.breadcrumbs[index]];
      if (index+1<o.breadcrumbs.length) {
        showNode(o,n,index+1);
      } else {
        if (typeof(n.childrenData)==='string') {
          var varName = n.childrenData;
          getScript(n.relpath+varName,function(){
            n.childrenData = getData(varName);
            node.expanded=false;
            showNode(o,node,index); // retry with child node expanded
          },true);
        } else {
          var rootBase = o.toroot.replace(/\..+$/, '');
          if (rootBase=="index" || rootBase=="pages") {
            expandNode(o, n, true, true);
          }
          selectAndHighlight(n);
        }
      }
    }
  } else {
    selectAndHighlight();
  }
}

function getNode(o, po)
{
  po.childrenVisited = true;
  var l = po.childrenData.length-1;
  for (var i in po.childrenData) {
    var nodeData = po.childrenData[i];
    po.children[i] = newNode(o, po, nodeData[0], nodeData[1], nodeData[2],
      i==l);
  }
}

function gotoNode(o,subIndex,root,hash,relpath)
{
  var nti = navTreeSubIndices[subIndex][root+hash];
  o.breadcrumbs = nti ? nti : navTreeSubIndices[subIndex][root];
  if (!o.breadcrumbs && root!=NAVTREE[0][1]) { // fallback: show index
    navTo(o,NAVTREE[0][1],"",relpath);
    $('.item').removeClass('selected');
    $('.item').removeAttr('id');
  }
  if (o.breadcrumbs) {
    o.breadcrumbs.unshift(0); // add 0 for root node
    showNode(o, o.node, 0);
  }
}

function navTo(o,root,hash,relpath)
{
  if (hash.match(/^#l\d+$/)) {
    var anchor=$('a[name='+hash.substring(1)+']');
    glowEffect(anchor.parent(),1000); // line number
    hash=''; // strip line number anchors
  }
  var url=root+hash;
  var i=-1;
  while (NAVTREEINDEX[i+1]<=url) i++;
  if (navTreeSubIndices[i]) {
    gotoNode(o,i,root,hash,relpath)
  } else {
    getScript(relpath+'navtreeindex'+i,function(){
      navTreeSubIndices[i] = eval('NAVTREEINDEX'+i);
      if (navTreeSubIndices[i]) {
        gotoNode(o,i,root,hash,relpath);
      }
    },true);
  }
}

function initNavTree(toroot,relpath)
{
  var o = new Object();
  o.toroot = toroot;
  o.node = new Object();
  o.node.li = document.getElementById("nav-tree-contents");
  o.node.childrenData = NAVTREE;
  o.node.children = new Array();
  o.node.childrenUL = document.createElement("ul");
  o.node.getChildrenUL = function() { return o.node.childrenUL; };
  o.node.li.appendChild(o.node.childrenUL);
  o.node.depth = 0;
  o.node.relpath = relpath;
  o.node.expanded = false;
  o.node.isLast = true;
  o.node.plus_img = document.createElement("img");
  o.node.plus_img.src = relpath+"ftv2pnode.png";
  o.node.plus_img.width = 16;
  o.node.plus_img.height = 22;

  navTo(o,toroot,window.location.hash,relpath);

  $(window).bind('hashchange', function(){
     if (window.location.hash && window.location.hash.length>1){
       var a;
       if ($(location).attr('hash')){
         var clslink=stripPath($(location).attr('pathname'))+':'+
                               $(location).attr('hash').substring(1);
         a=$('.item a[class$="'+clslink+'"]');
       }
       if (a==null || !$(a).parent().parent().hasClass('selected')){
         $('.item').removeClass('selected');
         $('.item').removeAttr('id');
       }
       var link=stripPath2($(location).attr('pathname'));
       navTo(o,link,$(location).attr('hash'),relpath);
     }
  })

  $(window).load(showRoot);
}

